org.objenesis.strategy

## Interface InstantiatorStrategy

- All Known Implementing Classes:
    BaseInstantiatorStrategy, SerializingInstantiatorStrategy, SingleInstantiatorStrategy, StdInstantiatorStrategy

      public interface InstantiatorStrategy

  Defines a strategy to determine the best instantiator for a class.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> ObjectInstantiator<T>` | `newInstantiatorOf(java.lang.Class<T> type)` Create a dedicated instantiator for the given class

- - ### Method Detail

    - #### newInstantiatorOf

          <T> ObjectInstantiator<T> newInstantiatorOf(java.lang.Class<T> type)

      Create a dedicated instantiator for the given class
      Type Parameters:
        `T` - Type to instantiate
      Parameters:
        `type` - Class that will be instantiated
      Returns:
        Dedicated instantiator